# Class TerastallizeModifier

#### Hierarchy (view full)

- LapsingPokemonHeldItemModifier
  - TerastallizeModifier

- Defined in src/modifier/modifier.ts:573

#####
Index

### Constructors

constructor

### Properties

battlesLeft
pokemonId
stackCount
teraType
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getBattlesLeft
getIcon
getIconStackText
getMaxHeldItemCount
getMaxStackCount
getPokemon
getScoreMultiplier
getStackCount
getTransferrable
incrementStack
isIconVisible
lapse
match
matchType
shouldApply

## Constructors

### constructor

- new TerastallizeModifier(type, pokemonId, teraType, battlesLeft?, stackCount?): TerastallizeModifier

- #### Parameters

  - type: TerastallizeModifierType
  - pokemonId: number
  - teraType: Type
  - `Optional` battlesLeft: number
  - `Optional` stackCount: number

  #### Returns TerastallizeModifier

  Overrides LapsingPokemonHeldItemModifier.constructor

  - Defined in src/modifier/modifier.ts:576

## Properties

### `Protected` battlesLeft

battlesLeft: number

Inherited from LapsingPokemonHeldItemModifier.battlesLeft

- Defined in src/modifier/modifier.ts:538

### pokemonId

pokemonId: number

Inherited from LapsingPokemonHeldItemModifier.pokemonId

- Defined in src/modifier/modifier.ts:454

### stackCount

stackCount: number

Inherited from LapsingPokemonHeldItemModifier.stackCount

- Defined in src/modifier/modifier.ts:139

### teraType

teraType: Type

- Defined in src/modifier/modifier.ts:574

### type

type: ModifierType

Inherited from LapsingPokemonHeldItemModifier.type

- Defined in src/modifier/modifier.ts:121

### virtualStackCount

virtualStackCount: number

Inherited from LapsingPokemonHeldItemModifier.virtualStackCount

- Defined in src/modifier/modifier.ts:140

## Methods

### add

- add(modifiers, virtual, scene): boolean

- #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean
  - scene: default

  #### Returns boolean

  Inherited from LapsingPokemonHeldItemModifier.add

  - Defined in src/modifier/modifier.ts:148

### apply

- apply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides LapsingPokemonHeldItemModifier.apply

  - Defined in src/modifier/modifier.ts:597

### clone

- clone(): TerastallizeModifier

- #### Returns TerastallizeModifier

  Overrides LapsingPokemonHeldItemModifier.clone

  - Defined in src/modifier/modifier.ts:589

### getArgs

- getArgs(): any[]

- #### Returns any[]

  Overrides LapsingPokemonHeldItemModifier.getArgs

  - Defined in src/modifier/modifier.ts:593

### getBattlesLeft

- getBattlesLeft(): number

- #### Returns number

  Inherited from LapsingPokemonHeldItemModifier.getBattlesLeft

  - Defined in src/modifier/modifier.ts:564

### getIcon

- getIcon(scene, forSummary?): Container

- #### Parameters

  - scene: default
  - `Optional` forSummary: boolean

  #### Returns Container

  Inherited from LapsingPokemonHeldItemModifier.getIcon

  - Defined in src/modifier/modifier.ts:550

### getIconStackText

- getIconStackText(scene, virtual?): BitmapText

- #### Parameters

  - scene: default
  - `Optional` virtual: boolean

  #### Returns BitmapText

  Inherited from LapsingPokemonHeldItemModifier.getIconStackText

  - Defined in src/modifier/modifier.ts:213

### getMaxHeldItemCount

- getMaxHeldItemCount(pokemon): number

- #### Parameters

  - pokemon: default

  #### Returns number

  Overrides LapsingPokemonHeldItemModifier.getMaxHeldItemCount

  - Defined in src/modifier/modifier.ts:626

### getMaxStackCount

- getMaxStackCount(scene, forThreshold?): number

- #### Parameters

  - scene: default
  - `Optional` forThreshold: boolean

  #### Returns number

  Inherited from LapsingPokemonHeldItemModifier.getMaxStackCount

  - Defined in src/modifier/modifier.ts:568

### getPokemon

- getPokemon(scene): default

- #### Parameters

  - scene: default

  #### Returns default

  Inherited from LapsingPokemonHeldItemModifier.getPokemon

  - Defined in src/modifier/modifier.ts:515

### getScoreMultiplier

- getScoreMultiplier(): number

- #### Returns number

  Overrides LapsingPokemonHeldItemModifier.getScoreMultiplier

  - Defined in src/modifier/modifier.ts:622

### getStackCount

- getStackCount(): number

- #### Returns number

  Inherited from LapsingPokemonHeldItemModifier.getStackCount

  - Defined in src/modifier/modifier.ts:182

### getTransferrable

- getTransferrable(withinParty): boolean

- #### Parameters

  - withinParty: boolean

  #### Returns boolean

  Overrides LapsingPokemonHeldItemModifier.getTransferrable

  - Defined in src/modifier/modifier.ts:618

### incrementStack

- incrementStack(scene, amount, virtual): boolean

- #### Parameters

  - scene: default
  - amount: number
  - virtual: boolean

  #### Returns boolean

  Inherited from LapsingPokemonHeldItemModifier.incrementStack

  - Defined in src/modifier/modifier.ts:169

### isIconVisible

- isIconVisible(scene): boolean

- #### Parameters

  - scene: default

  #### Returns boolean

  Inherited from LapsingPokemonHeldItemModifier.isIconVisible

  - Defined in src/modifier/modifier.ts:480

### lapse

- lapse(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides LapsingPokemonHeldItemModifier.lapse

  - Defined in src/modifier/modifier.ts:609

### match

- match(modifier): boolean

- #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Inherited from LapsingPokemonHeldItemModifier.match

  - Defined in src/modifier/modifier.ts:464

### matchType

- matchType(modifier): boolean

- #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Overrides LapsingPokemonHeldItemModifier.matchType

  - Defined in src/modifier/modifier.ts:582

### shouldApply

- shouldApply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Inherited from LapsingPokemonHeldItemModifier.shouldApply

  - Defined in src/modifier/modifier.ts:472